{% extends 'base.html' %}

{% block title %}
    Edit - Todo List
{% endblock title %}

<!-- show the form to edit a new TodoList instance -->
{% block content %}
<main>
    <div>
        <h1>Update list</h1>
        <!-- form tag method is post -->
        <form method="post">
            <!-- form structures -->
            <!-- csrf_token -->
            {% csrf_token %}
            <!-- render form.as_p -->
            {{ form.as_p }}
            <!-- by default form.as_p: input tag with type "text" and name "name" -->
            <!-- inside p tags -->
            <p>
                <!-- button type="submit" with content "Update" -->
                <button type="submit">Update</button>
            </p>
        </form>
    </div>
</main>
{% endblock content %}
